this["renkanJST"] = this["renkanJST"] || {};

this["renkanJST"]["templates/colorpicker.html"] = function(obj) {
obj || (obj = {});
var __t, __p = '', __e = _.escape;
with (obj) {
__p += '<li data-color="' +
((__t = (c)) == null ? '' : __t) +
'" style="background: ' +
((__t = (c)) == null ? '' : __t) +
'"></li>';

}
return __p
};

this["renkanJST"]["templates/edgeeditor.html"] = function(obj) {
obj || (obj = {});
var __t, __p = '', __e = _.escape, __j = Array.prototype.join;
function print() { __p += __j.call(arguments, '') }
with (obj) {
__p += '<h2>\n    <span class="Rk-CloseX">&times;</span>' +
__e(renkan.translate("Edit Edge")) +
'</span>\n</h2>\n<p>\n    <label>' +
__e(renkan.translate("Title:")) +
'</label>\n    <input class="Rk-Edit-Title" type="text" value="' +
__e(edge.title) +
'" />\n</p>\n';
 if (options.show_edge_editor_uri) { ;
__p += '\n    <p>\n        <label>' +
__e(renkan.translate("URI:")) +
'</label>\n        <input class="Rk-Edit-URI" type="text" value="' +
__e(edge.uri) +
'" />\n        <a class="Rk-Edit-Goto" href="' +
__e(edge.uri) +
'" target="_blank"></a>\n    </p>\n    ';
 if (options.properties.length) { ;
__p += '\n        <p>\n            <label>' +
__e(renkan.translate("Choose from vocabulary:")) +
'</label>\n            <select class="Rk-Edit-Vocabulary">\n                ';
 _.each(options.properties, function(ontology) { ;
__p += '\n                    <option class="Rk-Edit-Vocabulary-Class" value="">\n                        ' +
__e( renkan.translate(ontology.label) ) +
'\n                    </option>\n                    ';
 _.each(ontology.properties, function(property) { var uri = ontology["base-uri"] + property.uri; ;
__p += '\n                        <option class="Rk-Edit-Vocabulary-Property" value="' +
__e( uri ) +
'"\n                            ';
 if (uri === edge.uri) { ;
__p += ' selected';
 } ;
__p += '>\n                            ' +
__e( renkan.translate(property.label) ) +
'\n                        </option>\n                    ';
 }) ;
__p += '\n                ';
 }) ;
__p += '\n            </select>\n        </p>\n';
 } } ;
__p += '\n';
 if (options.show_edge_editor_color) { ;
__p += '\n    <div class="Rk-Editor-p">\n        <span class="Rk-Editor-Label">' +
__e(renkan.translate("Edge color:")) +
'</span>\n        <div class="Rk-Edit-ColorPicker-Wrapper">\n            <span class="Rk-Edit-Color" style="background: &lt;%-edge.color%>;">\n                <span class="Rk-Edit-ColorTip"></span>\n            </span>\n            ' +
((__t = ( renkan.colorPicker )) == null ? '' : __t) +
'\n            <span class="Rk-Edit-ColorPicker-Text">' +
__e( renkan.translate("Choose color") ) +
'</span>\n        </div>\n    </div>\n';
 } ;
__p += '\n';
 if (options.show_edge_editor_direction) { ;
__p += '\n    <p>\n        <span class="Rk-Edit-Direction">' +
__e( renkan.translate("Change edge direction") ) +
'</span>\n    </p>\n';
 } ;
__p += '\n';
 if (options.show_edge_editor_nodes) { ;
__p += '\n    <p>\n        <span class="Rk-Editor-Label">' +
__e(renkan.translate("From:")) +
'</span>\n        <span class="Rk-UserColor" style="background: ' +
__e(edge.from_color) +
';"></span>\n        ' +
__e( shortenText(edge.from_title, 25) ) +
'\n    </p>\n    <p>\n        <span class="Rk-Editor-Label">' +
__e(renkan.translate("To:")) +
'</span>\n        <span class="Rk-UserColor" style="background: >%-edge.to_color%>;"></span>\n        ' +
__e( shortenText(edge.to_title, 25) ) +
'\n    </p>\n';
 } ;
__p += '\n';
 if (options.show_edge_editor_creator && edge.has_creator) { ;
__p += '\n    <p>\n        <span class="Rk-Editor-Label">' +
__e(renkan.translate("Created by:")) +
'</span>\n        <span class="Rk-UserColor" style="background: &lt;%-edge.created_by_color%>;"></span>\n        ' +
__e( shortenText(edge.created_by_title, 25) ) +
'\n    </p>\n';
 } ;
__p += '\n';

}
return __p
};

this["renkanJST"]["templates/edgeeditor_readonly.html"] = function(obj) {
obj || (obj = {});
var __t, __p = '', __e = _.escape, __j = Array.prototype.join;
function print() { __p += __j.call(arguments, '') }
with (obj) {
__p += '<h2>\n    <span class="Rk-CloseX">&times;</span>\n    ';
 if (options.show_edge_tooltip_color) { ;
__p += '\n        <span class="Rk-UserColor" style="background: ' +
__e( edge.color ) +
';"></span>\n    ';
 } ;
__p += '\n    <span class="Rk-Display-Title">\n        ';
 if (edge.uri) { ;
__p += '\n            <a href="' +
__e(edge.uri) +
'" target="_blank">\n        ';
 } ;
__p += '\n        ' +
__e(edge.title) +
'\n        ';
 if (edge.uri) { ;
__p += ' </a> ';
 } ;
__p += '\n    </span>\n</h2>\n';
 if (options.show_edge_tooltip_uri && edge.uri) { ;
__p += '\n    <p class="Rk-Display-URI">\n        <a href="' +
__e(edge.uri) +
'" target="_blank">' +
__e( edge.short_uri ) +
'</a>\n    </p>\n';
 } ;
__p += '\n<p>' +
__e(edge.description) +
'</p>\n';
 if (options.show_edge_tooltip_nodes) { ;
__p += '\n    <p>\n        <span class="Rk-Editor-Label">' +
__e(renkan.translate("From:")) +
'</span>\n        <span class="Rk-UserColor" style="background: ' +
__e( edge.from_color ) +
';"></span>\n        ' +
__e( shortenText(edge.from_title, 25) ) +
'\n    </p>\n    <p>\n        <span class="Rk-Editor-Label">' +
__e(renkan.translate("To:")) +
'</span>\n        <span class="Rk-UserColor" style="background: ' +
__e( edge.to_color ) +
';"></span>\n        ' +
__e( shortenText(edge.to_title, 25) ) +
'\n    </p>\n';
 } ;
__p += '\n';
 if (options.show_edge_tooltip_creator && edge.has_creator) { ;
__p += '\n    <p>\n        <span class="Rk-Editor-Label">' +
__e(renkan.translate("Created by:")) +
'</span>\n        <span class="Rk-UserColor" style="background: ' +
__e( edge.created_by_color ) +
';"></span>\n        ' +
__e( shortenText(edge.created_by_title, 25) ) +
'\n    </p>\n';
 } ;
__p += '\n';

}
return __p
};

this["renkanJST"]["templates/ldtjson-bin/annotationtemplate.html"] = function(obj) {
obj || (obj = {});
var __t, __p = '', __e = _.escape;
with (obj) {
__p += '<li class="Rk-Bin-Item" draggable="true"\n    data-image="' +
__e( Rkns.Utils.getFullURL(image) ) +
'"\n    data-uri="' +
((__t = (ldt_platform)) == null ? '' : __t) +
'ldtplatform/ldt/front/player/' +
((__t = (mediaid)) == null ? '' : __t) +
'/#id=' +
((__t = (annotationid)) == null ? '' : __t) +
'"\n    data-title="' +
__e(title) +
'" data-description="' +
__e(description) +
'">\n\n    <img class="Rk-Ldt-Annotation-Icon" src="' +
((__t = (image)) == null ? '' : __t) +
'" />\n    <h4>' +
((__t = (htitle)) == null ? '' : __t) +
'</h4>\n    <p>' +
((__t = (hdescription)) == null ? '' : __t) +
'</p>\n    <p>Start: ' +
((__t = (start)) == null ? '' : __t) +
', End: ' +
((__t = (end)) == null ? '' : __t) +
', Duration: ' +
((__t = (duration)) == null ? '' : __t) +
'</p>\n    <div class="Rk-Clear"></div>\n</li>\n';

}
return __p
};

this["renkanJST"]["templates/ldtjson-bin/segmenttemplate.html"] = function(obj) {
obj || (obj = {});
var __t, __p = '', __e = _.escape;
with (obj) {
__p += '<li class="Rk-Bin-Item" draggable="true"\n    data-image="' +
__e( Rkns.Utils.getFullURL(image) ) +
'"\n    data-uri="' +
((__t = (ldt_platform)) == null ? '' : __t) +
'ldtplatform/ldt/front/player/' +
((__t = (mediaid)) == null ? '' : __t) +
'/#id=' +
((__t = (annotationid)) == null ? '' : __t) +
'"\n    data-title="' +
__e(title) +
'" data-description="' +
__e(description) +
'">\n\n    <img class="Rk-Ldt-Annotation-Icon" src="' +
((__t = (image)) == null ? '' : __t) +
'" />\n    <h4>' +
((__t = (htitle)) == null ? '' : __t) +
'</h4>\n    <p>' +
((__t = (hdescription)) == null ? '' : __t) +
'</p>\n    <p>Start: ' +
((__t = (start)) == null ? '' : __t) +
', End: ' +
((__t = (end)) == null ? '' : __t) +
', Duration: ' +
((__t = (duration)) == null ? '' : __t) +
'</p>\n    <div class="Rk-Clear"></div>\n</li>\n';

}
return __p
};

this["renkanJST"]["templates/ldtjson-bin/tagtemplate.html"] = function(obj) {
obj || (obj = {});
var __t, __p = '', __e = _.escape;
with (obj) {
__p += '<li class="Rk-Bin-Item" draggable="true"\n    data-image="' +
__e( Rkns.Utils.getFullURL(static_url+'img/ldt-tag.png') ) +
'"\n    data-uri="' +
((__t = (ldt_platform)) == null ? '' : __t) +
'ldtplatform/ldt/front/search/?search=' +
((__t = (encodedtitle)) == null ? '' : __t) +
'&field=all"\n    data-title="' +
__e(title) +
'" data-description="Tag \'' +
__e(title) +
'\'">\n\n    <img class="Rk-Ldt-Tag-Icon" src="' +
__e(static_url) +
'img/ldt-tag.png" />\n    <h4>' +
((__t = (htitle)) == null ? '' : __t) +
'</h4>\n    <div class="Rk-Clear"></div>\n</li>\n';

}
return __p
};

this["renkanJST"]["templates/list-bin.html"] = function(obj) {
obj || (obj = {});
var __t, __p = '', __e = _.escape, __j = Array.prototype.join;
function print() { __p += __j.call(arguments, '') }
with (obj) {
__p += '<li class="Rk-Bin-Item Rk-ResourceList-Item" draggable="true"\n    data-uri="' +
__e(url) +
'" data-title="' +
__e(title) +
'"\n    data-description="' +
__e(description) +
'"\n    ';
 if (image) { ;
__p += '\n        data-image="' +
__e( Rkns.Utils.getFullURL(image) ) +
'"\n    ';
 } else { ;
__p += '\n        data-image=""\n    ';
 } ;
__p += '\n>';
 if (image) { ;
__p += '\n    <img class="Rk-ResourceList-Image" src="' +
__e(image) +
'" />\n';
 } ;
__p += '\n<h4 class="Rk-ResourceList-Title">\n    ';
 if (url) { ;
__p += '\n        <a href="' +
__e(url) +
'" target="_blank">\n    ';
 } ;
__p += '\n    ' +
((__t = (htitle)) == null ? '' : __t) +
'\n    ';
 if (url) { ;
__p += '</a>';
 } ;
__p += '\n    </h4>\n    ';
 if (description) { ;
__p += '\n        <p class="Rk-ResourceList-Description">' +
((__t = (hdescription)) == null ? '' : __t) +
'</p>\n    ';
 } ;
__p += '\n    ';
 if (image) { ;
__p += '\n        <div style="clear: both;"></div>\n    ';
 } ;
__p += '\n</li>\n';

}
return __p
};

this["renkanJST"]["templates/main.html"] = function(obj) {
obj || (obj = {});
var __t, __p = '', __e = _.escape, __j = Array.prototype.join;
function print() { __p += __j.call(arguments, '') }
with (obj) {

 if (options.show_bins) { ;
__p += '\n    <div class="Rk-Bins">\n        <div class="Rk-Bins-Head">\n            <h2 class="Rk-Bins-Title">' +
__e( translate("Select contents:")) +
'</h2>\n            <form class="Rk-Web-Search-Form Rk-Search-Form">\n                <input class="Rk-Web-Search-Input Rk-Search-Input" type="search"\n                    placeholder="' +
__e( translate('Search the Web') ) +
'" />\n                <div class="Rk-Search-Select">\n                    <div class="Rk-Search-Current"></div>\n                    <ul class="Rk-Search-List"></ul>\n                </div>\n                <input type="submit" value=""\n                    class="Rk-Web-Search-Submit Rk-Search-Submit" title="' +
__e( translate('Search the Web') ) +
'" />\n            </form>\n            <form class="Rk-Bins-Search-Form Rk-Search-Form">\n                <input class="Rk-Bins-Search-Input Rk-Search-Input" type="search"\n                    placeholder="' +
__e( translate('Search in Bins') ) +
'" /> <input\n                    type="submit" value=""\n                    class="Rk-Bins-Search-Submit Rk-Search-Submit"\n                    title="' +
__e( translate('Search in Bins') ) +
'" />\n            </form>\n        </div>\n        <ul class="Rk-Bin-List"></ul>\n    </div>\n';
 } ;
__p += ' ';
 if (options.show_editor) { ;
__p += '\n    <div class="Rk-Render Rk-Render-';
 if (options.show_bins) { ;
__p += 'Panel';
 } else { ;
__p += 'Full';
 } ;
__p += '"></div>\n';
 } ;
__p += '\n';

}
return __p
};

this["renkanJST"]["templates/nodeeditor.html"] = function(obj) {
obj || (obj = {});
var __t, __p = '', __e = _.escape, __j = Array.prototype.join;
function print() { __p += __j.call(arguments, '') }
with (obj) {
__p += '<h2>\n    <span class="Rk-CloseX">&times;</span>' +
__e(renkan.translate("Edit Node")) +
'</span>\n</h2>\n<p>\n    <label>' +
__e(renkan.translate("Title:")) +
'</label>\n    <input class="Rk-Edit-Title" type="text" value="' +
__e(node.title) +
'" />\n</p>\n';
 if (options.show_node_editor_uri) { ;
__p += '\n    <p>\n        <label>' +
__e(renkan.translate("URI:")) +
'</label>\n        <input class="Rk-Edit-URI" type="text" value="' +
__e(node.uri) +
'" />\n        <a class="Rk-Edit-Goto" href="' +
__e(node.uri) +
'" target="_blank"></a>\n    </p>\n';
 } ;
__p += ' ';
 if (options.show_node_editor_description) { ;
__p += '\n    <p>\n        <label>' +
__e(renkan.translate("Description:")) +
'</label>\n        <textarea class="Rk-Edit-Description">' +
__e(node.description) +
'</textarea>\n    </p>\n';
 } ;
__p += ' ';
 if (options.show_node_editor_size) { ;
__p += '\n    <p>\n        <span class="Rk-Editor-Label">' +
__e(renkan.translate("Size:")) +
'</span>\n        <a href="#" class="Rk-Edit-Size-Down">-</a>\n        <span class="Rk-Edit-Size-Value">' +
__e(node.size) +
'</span>\n        <a href="#" class="Rk-Edit-Size-Up">+</a>\n    </p>\n';
 } ;
__p += ' ';
 if (options.show_node_editor_color) { ;
__p += '\n    <div class="Rk-Editor-p">\n        <span class="Rk-Editor-Label">\n        ' +
__e(renkan.translate("Node color:")) +
'</span>\n        <div class="Rk-Edit-ColorPicker-Wrapper">\n            <span class="Rk-Edit-Color" style="background: ' +
__e(node.color) +
';">\n                <span class="Rk-Edit-ColorTip"></span>\n            </span>\n            ' +
((__t = ( renkan.colorPicker )) == null ? '' : __t) +
'\n            <span class="Rk-Edit-ColorPicker-Text">' +
__e( renkan.translate("Choose color") ) +
'</span>\n        </div>\n    </div>\n';
 } ;
__p += ' ';
 if (options.show_node_editor_image) { ;
__p += '\n    <div class="Rk-Edit-ImgWrap">\n        <div class="Rk-Edit-ImgPreview">\n            <img src="' +
__e(node.image || node.image_placeholder) +
'" />\n            ';
 if (node.clip_path) { ;
__p += '\n                <svg xmlns="http://www.w3.org/2000/svg" version="1.1" viewbox="0 0 1 1" preserveAspectRatio="none">\n                    <path style="stroke-width: .02; stroke:red; fill-opacity:.3; fill:red;" d="' +
__e( node.clip_path ) +
'" />\n                </svg>\n            ';
 };
__p += '\n        </div>\n    </div>\n    <p>\n        <label>' +
__e(renkan.translate("Image URL:")) +
'</label>\n        <div>\n            <a class="Rk-Edit-Image-Del" href="#"></a>\n            <input class="Rk-Edit-Image" type="text" value=\'' +
__e(node.image) +
'\' />\n        </div>\n    </p>\n';
 if (options.allow_image_upload) { ;
__p += '\n    <p>\n        <label>' +
__e(renkan.translate("Choose Image File:")) +
'</label>\n        <input class="Rk-Edit-Image-File" type="file" accept="image/*" />\n    </p>\n';
 };

 } ;
__p += ' ';
 if (options.show_node_editor_creator && node.has_creator) { ;
__p += '\n    <p>\n        <span class="Rk-Editor-Label">' +
__e(renkan.translate("Created by:")) +
'</span>\n        <span class="Rk-UserColor" style="background: ' +
__e(node.created_by_color) +
';"></span>\n        ' +
__e( shortenText(node.created_by_title, 25) ) +
'\n    </p>\n';
 } ;
__p += ' ';
 if (options.change_shapes) { ;
__p += '\n    <p>\n        <label>' +
__e(renkan.translate("Shapes available")) +
':</label>\n        <select class="Rk-Edit-Shape">\n            <option class="Rk-Edit-Vocabulary-Property" value="circle"';
 if (node.shape === "circle") { ;
__p += ' selected';
 } ;
__p += '>\n                ' +
__e( renkan.translate("Circle") ) +
'\n            </option>\n            <option class="Rk-Edit-Vocabulary-Property" value="rectangle"';
 if (node.shape === "rectangle") { ;
__p += ' selected';
 } ;
__p += '>\n                ' +
__e( renkan.translate("Square") ) +
'\n            </option>\n            <option class="Rk-Edit-Vocabulary-Property" value="diamond"';
 if (node.shape === "diamond") { ;
__p += ' selected';
 } ;
__p += '>\n                ' +
__e( renkan.translate("Diamond") ) +
'\n            </option>\n            <option class="Rk-Edit-Vocabulary-Property" value="polygon"';
 if (node.shape === "polygon") { ;
__p += ' selected';
 } ;
__p += '>\n                ' +
__e( renkan.translate("Hexagone") ) +
'\n            </option>\n            <option class="Rk-Edit-Vocabulary-Property" value="ellipse"';
 if (node.shape === "ellipse") { ;
__p += ' selected';
 } ;
__p += '>\n                ' +
__e( renkan.translate("Ellipse") ) +
'\n            </option>\n            <option class="Rk-Edit-Vocabulary-Property" value="star"';
 if (node.shape === "star") { ;
__p += ' selected';
 } ;
__p += '>\n                ' +
__e( renkan.translate("Star") ) +
'\n            </option>\n        </select>\n    </p>\n';
 } ;
__p += '\n';

}
return __p
};

this["renkanJST"]["templates/nodeeditor_readonly.html"] = function(obj) {
obj || (obj = {});
var __t, __p = '', __e = _.escape, __j = Array.prototype.join;
function print() { __p += __j.call(arguments, '') }
with (obj) {
__p += '<h2>\n    <span class="Rk-CloseX">&times;</span>\n    ';
 if (options.show_node_tooltip_color) { ;
__p += '\n        <span class="Rk-UserColor" style="background: ' +
__e(node.color) +
';"></span>\n    ';
 } ;
__p += '\n    <span class="Rk-Display-Title">\n        ';
 if (node.uri) { ;
__p += '\n            <a href="' +
__e(node.uri) +
'" target="_blank">\n        ';
 } ;
__p += '\n        ' +
__e(node.title) +
'\n        ';
 if (node.uri) { ;
__p += '</a>';
 } ;
__p += '\n    </span>\n</h2>\n';
 if (node.uri && options.show_node_tooltip_uri) { ;
__p += '\n    <p class="Rk-Display-URI">\n        <a href="' +
__e(node.uri) +
'" target="_blank">' +
__e(node.short_uri) +
'</a>\n    </p>\n';
 } ;
__p += ' ';
 if (options.show_node_tooltip_description) { ;
__p += '\n    <p class="Rk-Display-Description">' +
__e(node.description) +
'</p>\n';
 } ;
__p += ' ';
 if (node.image && options.show_node_tooltip_image) { ;
__p += '\n    <img class="Rk-Display-ImgPreview" src="' +
__e(node.image) +
'" />\n';
 } ;
__p += ' ';
 if (node.has_creator && options.show_node_tooltip_creator) { ;
__p += '\n    <p>\n        <span class="Rk-Editor-Label">' +
__e(renkan.translate("Created by:")) +
'</span>\n        <span class="Rk-UserColor" style="background: ' +
__e(node.created_by_color) +
';"></span>\n        ' +
__e( shortenText(node.created_by_title, 25) ) +
'\n    </p>\n';
 } ;
__p += '\n';

}
return __p
};

this["renkanJST"]["templates/scene.html"] = function(obj) {
obj || (obj = {});
var __t, __p = '', __e = _.escape, __j = Array.prototype.join;
function print() { __p += __j.call(arguments, '') }
with (obj) {

 if (options.show_top_bar) { ;
__p += '\n    <div class="Rk-TopBar">\n        <div class="loader"></div>\n        ';
 if (!options.editor_mode) { ;
__p += '\n            <h2 class="Rk-PadTitle">\n                ' +
__e( project.get("title") || translate("Untitled project")) +
'\n            </h2>\n        ';
 } else { ;
__p += '\n            <input type="text" class="Rk-PadTitle" value="' +
__e( project.get('title') || '' ) +
'" placeholder="' +
__e(translate('Untitled project')) +
'" />\n        ';
 } ;
__p += '\n        ';
 if (options.show_user_list) { ;
__p += '\n            <div class="Rk-Users">\n                <div class="Rk-CurrentUser">\n                    ';
 if (options.show_user_color) { ;
__p += '\n                        <div class="Rk-Edit-ColorPicker-Wrapper">\n                            <span class="Rk-CurrentUser-Color">\n                            ';
 if (options.user_color_editable) { ;
__p += '\n                                <span class="Rk-Edit-ColorTip"></span>\n                            ';
 } ;
__p += '\n                            </span>\n                            ';
 if (options.user_color_editable) { print(colorPicker) } ;
__p += '\n                        </div>\n                    ';
 } ;
__p += '\n                    <span class="Rk-CurrentUser-Name">&lt;unknown user&gt;</span>\n                </div>\n                <ul class="Rk-UserList"></ul>\n            </div>\n        ';
 } ;
__p += '\n        ';
 if (options.home_button_url) {;
__p += '\n            <div class="Rk-TopBar-Separator"></div>\n            <a class="Rk-TopBar-Button Rk-Home-Button" href="' +
__e( options.home_button_url ) +
'">\n                <div class="Rk-TopBar-Tooltip">\n                    <div class="Rk-TopBar-Tooltip-Contents">\n                        ' +
__e( translate(options.home_button_title) ) +
'\n                    </div>\n                </div>\n            </a>\n        ';
 } ;
__p += '\n        ';
 if (options.show_fullscreen_button) { ;
__p += '\n            <div class="Rk-TopBar-Separator"></div>\n            <div class="Rk-TopBar-Button Rk-FullScreen-Button">\n                <div class="Rk-TopBar-Tooltip">\n                    <div class="Rk-TopBar-Tooltip-Contents">\n                        ' +
__e(translate("Full Screen")) +
'\n                    </div>\n                </div>\n            </div>\n        ';
 } ;
__p += '\n        ';
 if (options.editor_mode) { ;
__p += '\n            ';
 if (options.show_addnode_button) { ;
__p += '\n                <div class="Rk-TopBar-Separator"></div>\n                <div class="Rk-TopBar-Button Rk-AddNode-Button">\n                    <div class="Rk-TopBar-Tooltip">\n                        <div class="Rk-TopBar-Tooltip-Contents">\n                            ' +
__e(translate("Add Node")) +
'\n                        </div>\n                    </div>\n                </div>\n            ';
 } ;
__p += '\n            ';
 if (options.show_addedge_button) { ;
__p += '\n                <div class="Rk-TopBar-Separator"></div>\n                <div class="Rk-TopBar-Button Rk-AddEdge-Button">\n                    <div class="Rk-TopBar-Tooltip">\n                        <div class="Rk-TopBar-Tooltip-Contents">\n                            ' +
__e(translate("Add Edge")) +
'\n                        </div>\n                    </div>\n                </div>\n            ';
 } ;
__p += '\n            ';
 if (options.show_export_button) { ;
__p += '\n                <div class="Rk-TopBar-Separator"></div>\n                <div class="Rk-TopBar-Button Rk-Export-Button">\n                    <div class="Rk-TopBar-Tooltip">\n                        <div class="Rk-TopBar-Tooltip-Contents">\n                            ' +
__e(translate("Download Project")) +
'\n                        </div>\n                    </div>\n                </div>\n            ';
 } ;
__p += '\n            ';
 if (options.show_save_button) { ;
__p += '\n                <div class="Rk-TopBar-Separator"></div>\n                <div class="Rk-TopBar-Button Rk-Save-Button">\n                    <div class="Rk-TopBar-Tooltip">\n                        <div class="Rk-TopBar-Tooltip-Contents"></div>\n                    </div>\n                </div>\n            ';
 } ;
__p += '\n            ';
 if (options.show_open_button) { ;
__p += '\n                <div class="Rk-TopBar-Separator"></div>\n                <div class="Rk-TopBar-Button Rk-Open-Button">\n                    <div class="Rk-TopBar-Tooltip">\n                        <div class="Rk-TopBar-Tooltip-Contents">\n                            ' +
__e(translate("Open Project")) +
'\n                        </div>\n                    </div>\n                </div>\n            ';
 } ;
__p += '\n            ';
 if (options.show_bookmarklet) { ;
__p += '\n                <div class="Rk-TopBar-Separator"></div>\n                <a class="Rk-TopBar-Button Rk-Bookmarklet-Button" href="#">\n                    <div class="Rk-TopBar-Tooltip">\n                        <div class="Rk-TopBar-Tooltip-Contents">\n                            ' +
__e(translate("Renkan \'Drag-to-Add\' bookmarklet")) +
'\n                        </div>\n                    </div>\n                </a>\n                <div class="Rk-TopBar-Separator"></div>\n            ';
 } ;
__p += '\n        ';
 } else { ;
__p += '\n            ';
 if (options.show_export_button) { ;
__p += '\n                <div class="Rk-TopBar-Separator"></div>\n                <div class="Rk-TopBar-Button Rk-Export-Button">\n                    <div class="Rk-TopBar-Tooltip">\n                        <div class="Rk-TopBar-Tooltip-Contents">\n                            ' +
__e(translate("Download Project")) +
'\n                        </div>\n                    </div>\n                </div>\n                <div class="Rk-TopBar-Separator"></div>\n            ';
 } ;
__p += '\n        ';
 }; ;
__p += '\n        ';
 if (options.show_search_field) { ;
__p += '\n            <form action="#" class="Rk-GraphSearch-Form">\n                <input type="search" class="Rk-GraphSearch-Field" placeholder="' +
__e( translate('Search in graph') ) +
'" />\n            </form>\n            <div class="Rk-TopBar-Separator"></div>\n        ';
 } ;
__p += '\n    </div>\n';
 } ;
__p += '\n<div class="Rk-Editing-Space';
 if (!options.show_top_bar) { ;
__p += ' Rk-Editing-Space-Full';
 } ;
__p += '">\n    <div class="Rk-Labels"></div>\n    <canvas class="Rk-Canvas" ';
 if (options.resize) { ;
__p += ' resize="" ';
 } ;
__p += '></canvas>\n    <div class="Rk-Notifications"></div>\n    <div class="Rk-Editor">\n        ';
 if (options.show_bins) { ;
__p += '\n            <div class="Rk-Fold-Bins">&laquo;</div>\n        ';
 } ;
__p += '\n        ';
 if (options.show_zoom) { ;
__p += '\n            <div class="Rk-ZoomButtons">\n                <div class="Rk-ZoomIn" title="' +
__e(translate('Zoom In')) +
'"></div>\n                <div class="Rk-ZoomFit" title="' +
__e(translate('Zoom Fit')) +
'"></div>\n                <div class="Rk-ZoomOut" title="' +
__e(translate('Zoom Out')) +
'"></div>\n                ';
 if (options.editor_mode && options.save_view) { ;
__p += '\n                    <div class="Rk-ZoomSave" title="' +
__e(translate('Zoom Save')) +
'"></div>\n                ';
 } ;
__p += '\n                ';
 if (options.save_view) { ;
__p += '\n                    <div class="Rk-ZoomSetSaved" title="' +
__e(translate('View saved zoom')) +
'"></div>\n                ';
 } ;
__p += '\n            </div>\n        ';
 } ;
__p += '\n    </div>\n</div>\n';

}
return __p
};

this["renkanJST"]["templates/search.html"] = function(obj) {
obj || (obj = {});
var __t, __p = '', __e = _.escape;
with (obj) {
__p += '<li class="' +
((__t = ( className )) == null ? '' : __t) +
'" data-key="' +
((__t = ( key )) == null ? '' : __t) +
'">' +
((__t = ( title )) == null ? '' : __t) +
'</li>';

}
return __p
};

this["renkanJST"]["templates/wikipedia-bin/resulttemplate.html"] = function(obj) {
obj || (obj = {});
var __t, __p = '', __e = _.escape;
with (obj) {
__p += '<li class="Rk-Wikipedia-Result Rk-Bin-Item" draggable="true"\n    data-uri="' +
__e(url) +
'" data-title="Wikipedia: ' +
__e(title) +
'"\n    data-description="' +
__e(description) +
'"\n    data-image="' +
__e( Rkns.Utils.getFullURL( static_url + 'img/wikipedia.png' ) ) +
'">\n\n    <img class="Rk-Wikipedia-Icon" src="' +
__e(static_url) +
'img/wikipedia.png">\n    <h4 class="Rk-Wikipedia-Title">\n        <a href="' +
__e(url) +
'" target="_blank">' +
((__t = (htitle)) == null ? '' : __t) +
'</a>\n    </h4>\n    <p class="Rk-Wikipedia-Snippet">' +
((__t = (hdescription)) == null ? '' : __t) +
'</p>\n</li>\n';

}
return __p
};